<?php

namespace Drp\NativeEventApp\GraphQL\Mutations;

use Drp\NativeEventApp\Events\RegistrationNotAttending;
use GraphQL\Type\Definition\ResolveInfo;
use Nuwave\Lighthouse\Support\Contracts\GraphQLContext;

class NotAttending
{
    //phpcs:ignore
    public function __invoke($rootValue, array $args, ?GraphQLContext $context = null, ResolveInfo $resolveInfo): bool
    {
        event(new RegistrationNotAttending($args['registrationId']));

        return true;
    }
}
