<?php

namespace Drp\NativeEventApp\GraphQL\Queries;

use Illuminate\Support\Collection;
use Nuwave\Lighthouse\Support\Contracts\GraphQLContext;

class Event
{
    //phpcs:ignore
    public function __invoke($rootValue, array $args, GraphQLContext $context): ?Collection
    {
        $events = $context->tokenAuthenticatable()->getEvents();

        if (array_key_exists('id', $args)) {
            return $events->where('id', $args['id']);
        }

        return $events;
    }
}
