<?php

namespace Drp\NativeEventApp\Modules\Types;

use Drp\NativeEventApp\Modules\Module;

/**
 * @method static make(string $src): self
 */
class Image extends Module
{
    /** @var string */
    public $src;

    /** @var string */
    public $resizeMode;

    public function __construct(string $src)
    {
        $this->src = $src;
    }

    public static function getDescription(): string
    {
        return 'An Image';
    }

    public function resizeMode(string $resizeMode): self
    {
        $this->resizeMode = $resizeMode;

        return $this;
    }
}
