<?php
/** @var \Illuminate\Database\Eloquent\Factory $factory */

use Drp\NativeEventApp\Models\Device;
use Faker\Generator as Faker;

$factory->define(Device::class, static function (Faker $faker): array {
    return [
        'id' => $faker->uuid,
        'auth_identifier' => 1,
        'access_token_id' => $faker->sha256,
        'firebase_device_id' => null,
    ];
});

$factory->state(Device::class, 'firebase', static function (Faker $faker): array {
    return [
        'firebase_device_id' => $faker->uuid,
    ];
});
